com.h3c.util.persistence.cassandra.query

## Class TransReadAllDecorator<T extends TransportObject<? super T,?>>

- java.lang.Object
- - com.h3c.util.persistence.cassandra.query.ReadQueryDecorator<List<T>,DataStoreContext>
  - - com.h3c.util.persistence.cassandra.query.TransReadAllDecorator<T>

- Type Parameters:
    `T` - Type of the result of the query
  All Implemented Interfaces:
    ReadQuery<List<T>,DataStoreContext>

      public class TransReadAllDecorator<T extends TransportObject<? super T,?>>
      extends ReadQueryDecorator<List<T>,DataStoreContext>

  This is a decorator for reading all rows of a table with locks.
  If the query is transaction based, the query object should be decorated from the business logic with this decorator before sending it down to the `DataStoreManager`

- - ### Field Summary

    - ### Fields inherited from class com.h3c.util.persistence.cassandra.query.ReadQueryDecorator

      `delegate, log`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransReadAllDecorator(ReadQuery<List<T>,DataStoreContext> query)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<T>` | `execute(DataStoreContext context)` This is the single execute method provided by the ReadQuery interface.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TransReadAllDecorator

          public TransReadAllDecorator(ReadQuery<List<T>,DataStoreContext> query)

  - ### Method Detail

    - #### execute

          public List<T> execute(DataStoreContext context)
                                                               throws Exception

      Description copied from interface: `ReadQuery`
      This is the single execute method provided by the ReadQuery interface. The application/business logic prepares a read query and as the last step, calls this method to transmit data to the underlying tiers. This data is read using DAO and Entity Manager.
      Parameters:
        `context` - - The DataStore context. Provides the context to the query.
      Returns:
        Transport object that has been read.
      Throws:
        `Exception`

Copyright © 2014. All Rights Reserved.